Bug 170046 - please omit *.la files, static libs (or package them separately)
please omit *.la files, static libs (or package them separately)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libjpeg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 16:10 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-12 10:17:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-06 16:10:47 EDT
pretty much the same arguments used in bug #170032.

Please remove all %{_libdir}/lib*.la files and static libs from the -devel
package.  This will reduce libtool/library bloat.

Further, it will (mostly) solve the problem of needing to add
extreneous Requires: libjpeg-devel to other (-devel) packages built against
libjpeg-devel (to account for the references to /usr/lib/libjpeg.la in their own
.la files).

(mostly Library) packages with .la files of their own that
BuildRequires: libjpeg-devel
will need to be rebuilt after this modification.

If you insist in still including the .la files (and static libraries), please
package them separately into something like libjpeg-static (or
libjpeg-devel-static), so it would be possible to omit this extra crud in other
rpms that
BuildRequires: libjpeg-devel
via
BuildConflicts: libjpeg-static

Note You need to log in before you can comment on or make changes to this bug.